# HttpContext

Namespace: **Wisej.Core**

Assembly: **Wisej.Framework** (4.0.0.0)

Encapsulates all HTTP-specific information about an individual HTTP request.

{% tabs %}
{% tab title="C#" %}

```csharp
public class HttpContext
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class HttpContext
```

{% endtab %}
{% endtabs %}

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) Cookies

[HttpCookieCollection](/api/wisej.core/general/wisej.core.httpcookiecollection.md): Returns a collection of [HttpCookie](/api/wisej.core/general/httpcookie.md) values sent by the client.

### ![](/files/hsR4ok3152WyAf8J2C1u) Request

[HttpRequest](/api/wisej.core/general/wisej.core.httprequest.md): Returns the [HttpRequest](/api/wisej.core/general/wisej.core.httprequest.md) object for the current HTTP request.

### ![](/files/hsR4ok3152WyAf8J2C1u) Response

[HttpResponse](/api/wisej.core/general/wisej.core.httpresponse.md): Returns the [HttpResponse](/api/wisej.core/general/wisej.core.httpresponse.md) object for the current HTTP response.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.core/general/wisej.core.httpcontext.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
